package wsh.util;

/** Utility method required by a test. See the JTK for the full class. */
public class ArrayMath {
  /** Deep copy of a double array
      @param arr Copy this array.
      @return new instance of array with same contents as arr
   */
  public static double[][] copy(double[][] arr) {
    double[][] result = new double[arr.length][];
    for (int i=0; i<result.length; ++i) {
      result[i] = arr[i].clone();
    }
    return result;
  }
}
